
From: Andreas Dilger <adilger@clusterfs.com>

Below are the patches which reserve the Lustre EA index.  The rest of the
code is part of the Lustre tree, which isn't working with 2.5 yet.



 fs/ext2/xattr.h |    1 +
 fs/ext3/xattr.h |    1 +
 2 files changed, 2 insertions(+)

diff -puN fs/ext2/xattr.h~reserve-lustre-EAs fs/ext2/xattr.h
--- 25/fs/ext2/xattr.h~reserve-lustre-EAs	2003-05-12 22:05:41.000000000 -0700
+++ 25-akpm/fs/ext2/xattr.h	2003-05-12 22:05:41.000000000 -0700
@@ -22,6 +22,7 @@
 #define EXT2_XATTR_INDEX_POSIX_ACL_ACCESS	2
 #define EXT2_XATTR_INDEX_POSIX_ACL_DEFAULT	3
 #define EXT2_XATTR_INDEX_TRUSTED		4
+#define	EXT2_XATTR_INDEX_LUSTRE			5
 #define EXT2_XATTR_INDEX_SECURITY	        6
 
 struct ext2_xattr_header {
diff -puN fs/ext3/xattr.h~reserve-lustre-EAs fs/ext3/xattr.h
--- 25/fs/ext3/xattr.h~reserve-lustre-EAs	2003-05-12 22:05:41.000000000 -0700
+++ 25-akpm/fs/ext3/xattr.h	2003-05-12 22:05:41.000000000 -0700
@@ -21,6 +21,7 @@
 #define EXT3_XATTR_INDEX_POSIX_ACL_ACCESS	2
 #define EXT3_XATTR_INDEX_POSIX_ACL_DEFAULT	3
 #define EXT3_XATTR_INDEX_TRUSTED		4
+#define	EXT3_XATTR_INDEX_LUSTRE			5
 #define EXT3_XATTR_INDEX_SECURITY	        6
 
 struct ext3_xattr_header {

_
